Cume installà AceStream in Linux è ùn more micca pruvendu

Quelli di noi chì amanu u sport è ùn anu micca accessu à tutti i canali sportivi attuali, generalmente affrontanu u prublema chì per gode ne duvemu aduprà diverse pagine chì trasmettenu partite in ligna, a maiò parte di elli dumandanu stallà AceStream, chì tende à esse un pocu cumplessu da installà in Linux.

In questa guida ampareremu cumu stallà AceStream in Linux senza more in a prova, furnendu soluzioni à i prublemi più cumuni oghje. U so usu è u cuntenutu chì accede hè a vostra responsabilità totale.

Chì ghjè AceStream?

AceStream Hè una piattaforma multimedia abbastanza innuvante, chì hà purtatu a ripruduzzione di l'audiovisivi nantu à Internet à un livellu più altu. Per questu, hà messu in opera un gestore universale per carregà i fugliali multimediali, chì utilizza e più avanzate tecnulugie P2P, chì garantiscenu un prucessu efficace di almacenamentu è trasmissione di dati.

U software Ace Stream ci offre una seria di vantaghji induve pudemu mette in risaltu:

  • Possibilità di vede trasmissioni in linea (TV, flussi persunalizati, filmi, cartoni animati, etc.), cù alta qualità audio è di maghjina.
  • Ascolta musica in ligna in un furmatu chì ùn perde alcuna qualità.
  • Vede i torrenti in ligna, senza avè da aspittà per u scaricamentu cumpletu.
  • Vede u cuntenutu in i dispositi remoti (Apple TV, Chromecast, etc.) nantu à i protokolli di cumunicazione cum'è AirPlay, Google Cast è altri.
  • Permette l'integrazione cù varie applicazioni. Installa AceStream in Linux

Cumu installà AceStream in Linux

Per installà AceStream in Linux duvemu seguità varii passi secondu a distro chì aduprate, ci concentreremu nantu à Arch Linux è Ubuntu, ma speremu chì in futuro puderà installallu in altre distros.

Installa AceStream nantu à Arch Linux è derivati

U mutivu principale chì aghju fattu questu articulu hè perchè assai anu avutu prublemi à stallà AceStream in Arch Linux, Antergos, Manjaros è derivati, a causa principale hè chì u pkgbuild di u plugin acestream-mozilla-plugin Dà un errore durante l'installazione, a soluzione hè estremamente simplice.

Avemu da stallà u acestream-mozilla-plugin chì ci stallerà ancu noi motore acestream y stuream-player-data chì sò i pacchetti necessarii per ripruduce AceStream da Firefox.

Prima di tuttu duvemu apre un terminal è eseguisce u cumandimu seguitu:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

Risolverà u prublema di verificazione chì impedisce l'installazione di a dipendenza chì hè necessariu per installà acestream-mozilla-plugin.

Dopu eseguemu u cumandimu seguitu

yaourt -S acestream-mozilla-plugin

In repetite occasioni ci serà dumandatu se vulemu installà varie dipendenze, duvemu dì di sì à tutti.

Installa AceStream nantu à Ubuntu è derivati

Installa AceStream in Ubuntu 14.04 è derivati

Per l'utilizatori di Ubuntu è derivati ​​finu à a versione 14.04, l'installazione di AceStream serà abbastanza sèmplice, anu solu da eseguisce i seguenti cumandamenti da u terminal:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

Installa AceStream in Ubuntu 16.04 è derivati

Quelli chì duveranu luttà un pocu di più sò l'utilizatori di Ubuntu 16.04 è derivati ​​postu chì acestream ùn hà micca supportu per sta versione, ma grazia à questu articulu, Sò riesciutu à installallu.

A prima cosa chì avemu da fà hè scaricà è installà alcune dipendenze chì ùn puderete micca scaricà da i repositori ufficiali, assicuratevi di installà quelli adatti per l'architettura di a vostra distro:

Architettura 64bit:

  1. Scaricate è installate libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb pudete fà da u ligame seguente: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. Scaricate è installate in l'ordine in cui sò presentate e seguenti dipendenze:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb Pudete scaricà ognunu da u ligame seguente: https://drive.google.com/folderview?id= … e_web#list

Architettura 32bit:

  1. Scaricate è installate libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb pudete fà da u ligame seguente: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. Scaricate è installate in l'ordine in cui sò presentate e seguenti dipendenze: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb Pudete scaricà ognunu da u ligame seguente: https://drive.google.com/folderview?id= … e_web#list

Dopu ci vole à cuntinuà cù l'installazione abituale di AceStream cum'è l'avemu fattu per a versione 14.04, apre un terminal è esegue:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

In certi casi hè necessariu cumincià u serviziu acestream-engine.service, per questu eseguemu i seguenti cumandamenti da u terminal:

systemctl start acestream-engine.service systemctl attivate acestream-engine.service

Cù stu tutoriale, speremu chì puderete gode di stu grande protokollu di trasmissione multimediale chì usa tutta a capacità di a tecnulugia P2P.


U cuntenutu di l'articulu aderisce à i nostri principii di etica edituriale. Per signalà un errore cliccate quì.

41 cumenti, lasciate i toi

Lasciate u vostru cummentariu

U vostru indirizzu email ùn esse publicatu.

*

*

  1. Responsabile di i dati: Miguel Ángel Gatón
  2. Scopu di i dati: Cuntrolla SPAM, gestione di cumenti.
  3. Legitimazione: U vostru accunsentu
  4. Cumunicazione di i dati: I dati ùn seranu micca cumunicati à terzi, eccettu per obbligazione legale.
  5. Archiviazione di dati: Base di dati ospitata da Occentus Networks (UE)
  6. Diritti: In ogni mumentu pudete limità, recuperà è cancellà e vostre informazioni.

  1.   Julio Cesar Campos dijo

    Ebbè u postu ma almenu in archlinux è questu hè u mo casu chì avete bisognu: "systemctl start acestream-engine.service" è "systemctl permettenu acestream-engine.service" per u so travagliu.

    1.    lucertula dijo

      L'avete pruvatu da firefox, o aduprate un altru navigatore?

  2.   UserDebian dijo

    Qualchissia sapi cumu uttene per travaglià in Debian 9?

  3.   Julio Cesar Campos dijo

    Firefox nantu à archlinux

  4.   gecoxx dijo

    Ùn sò micca se u mo cummentariu precedente hè statu publicatu ... Ripetu! Ci vole ch'ùn sà quante ore esecutendu u cumandamentu maladettu in u terminal, è chì aghju messu –noconfirm, è à a fine ùn funziona !!
    un altru postu chì ùn ghjova à nunda!

    prova d'installazione nantu à Manjaru

    1.    lucertula dijo

      Caru chì ùn hà micca travagliatu per voi, hà funzionatu perfettamente per mè, quantunque pruvate à esecutà questi 2 cumandamenti:
      "Systemctl start acestream-engine.service" è "systemctl permette acestream-engine.service"

  5.   Jose dijo

    Aghju riesciutu à fà tutti i passi senza nisun prublema. Ma quandu pruvatu à avvià u serviziu da u terminal mi hà datu dui fiaschi;
    systemctl principia acestream-engine.service
    Fiascu à avvià acestream-engine.service: Unità acestream-engine.service micca truvata.
    systemctl attivà acestream-engine.service
    Impussibule di eseguisce l'operazione: Nisun schedariu o repertoriu

    1.    gustavo dijo

      A stessa cosa mi hè accaduta esattamente. u terminal rimbalza quelli cumandamenti per mè cun quelli falli.

  6.   Ghjuvanni M dijo

    Grazie mille per u postu! Se utilizate Ubuntu 16.10 64 bits ùn puderete micca esse capace di installà "acestream-player-data_3.0.2-1.1_amd64.deb". Devenu prima scaricà è installà sti pacchetti:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    Probabilmente qualchì altra dipendenza hè necessaria chì hè in i repos.
    Grazie!

  7.   Miles dijo

    Bona
    Stu plugin-mozilla-plugin hà smessu di travaglià in Firefox 52, cum'è parechji altri plugins NPAPI.

  8.   darcu dijo

    Un'altra opzione assai bona è simplice hè di aduprà docker è diventà agnosticu di u vostru sistema operativu. Usendu l'aceproxy, pudete ripruducelu-

    Aghju scrittu un picculu tutoriale è un script, per facilità l'esecuzione.
    https://gist.github.com/alex-left/7967dac44f2d2e31eabba2fae318a402

  9.   David Martin dijo

    In a parte di l'installazione da Ubuntu 16.04, quandu dite scaricà è installà quelli fugliali, cumu installate? Quandu i scaricu è l'aghju estratti, certi sò solu un schedariu libreoffice è altri, ùn sò micca cumu "installallu".
    Grazie in anticipu è saluti.
    David.

  10.   wow dijo

    O e chjave ùn funzionanu micca di novu, o ci hè qualchì errore in i pacchetti, ma in arch è manjaru hè impussibile installallu.
    Quandu si prova à installà una dipendenza (qwebquit) o ​​qualcosa di simile entra in un ciclu è ùn ci hè manera.
    Qualchissia hà trovu a suluzione?
    Gracias

    1.    Alejandro dijo

      Salutu, per l'installazione in arch linux duvete fà u seguitu:
      -Installate u pacchettu "acestream-launcher" da yaourt cù "yaourt -S acestream-launcher" (u pacchettu chì avemu da attivà dopu hè automaticamente scaricatu per voi)
      -Attiva acestream-engine.service, entremu in u terminal è in modu ROOT mettemu u seguitu
      -systemctl principia acestream-engine.service
      -systemctl abilita acestream-engine.service
      Aghju ricuminciatu l'urdinatore dopu à questu, ùn sò micca se serà necessariu ma per casu
      -Questu duveria esse abbastanza ma in l'ultimi aghjurnamenti di Arch anu sbagliatu qualcosa è ùn funziona micca, allora anu cercatu una soluzione temporanea, chì hè di scaricà un fugliale, hè u seguitu:
      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      source: https://aur.archlinux.org/packages/acestream-launcher/ (nantu à i cumenti)
      una volta scaricatu, andemu in u terminal è andemu in u cartulare induve l'avemu scaricatu,
      Procedemu à l'installallu cù 'sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz' è basta, duverebbe andà, a prima volta ùn va mai, allora cliccu una seconda volta, a prima volta dà sempre errore, eccu tuttu

      PS: chiarisce chì u sudo pacman -U è micca -S perchè hè un pacchettu lucale ottenutu da makepkg

      1.    wow dijo

        Grazie mille per u vostru interessu.
        L'aghju pruvatu tante volte chì cunnoscu dighjà e dipendenze, è i cummenti à i pacchetti in l'installazione cù yaourt per core. Seguiraghju i vostri cunsiglii cù u lanciatore è videraghju se sò furtunatu. A vi diceraghju.
        Ripettu u mo ringraziu

        fELIPE

        1.    wow dijo

          Un modu o l'altru ùn funziona micca. Aghju pruvatu cù u ligame chì avete messu in i cumenti, ma ùn lu risolve, ricunnosce u ligame, mi dà l'opzione di sceglie u prugramma, aghju sceltu questuream-launcher ma u VLC ùn si apre.
          In cunsola mi dà a risposta seguente.

          Fichier «/usr/lib/python3.6/site-packages/psutil/init.py », linea 1231, in _send_signal
          os.kill (self.pid, sig)

          Avemu da aspittà per novi aghjurnamenti.
          Grazie per u vostru aiutu.

  11.   wow dijo

    Dopu a nova aghjurnamentu, a risposta in cunsola hè a seguente.

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    U mutore di questuream funziona.
    2017-07-28 18: 16: 59,615 | MainThread | acestream | errore durante u startup
    Traceback (l'ultima chjamata più recente):
    File «core.c», linea 1590, in
    File «core.c», linea 144, in
    File «core.c», linea 2, in
    ImportError: ùn pò micca impurtà nome __m2crypto
    Erreur d'authentification à Acestream!
    Media Player ùn esiste micca ...

    Avemu migliuratu, avà ricunnosce questuream, ma u libcrypto continua à luttà.

    1.    wow dijo

      Aghju pruvatu cù l'installazione di u pacchettu chì vi ricumandate in u ligame chì m'avete mandatu.

      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

      È risolve efficacemente u prublema, apre vlc è funziona Acestream.
      Grazie mille per u vostru aiutu-

      1.    Alejandro dijo

        Ciao, scusate per u ritardu, era assai stranu chì ùn hà micca travagliatu per voi quandu hà fattu, sò in Arch plasma, sò felice chì vi abbia aiutatu, eccu per chì simu

        In l'altra distribuzione chì aghju chì hè Fedora, ciò chì aghju hè Wine emulating acestream per windows xD, in casu chì andiate in un'altra distro o in u listessu Arch, ciò chì mi sorprende hè chì mancu in Debian anu sti pacchetti ... .

      2.    delicatessen01 dijo

        Salutu è u fugliale hè cumu hè installatu Sò sempre un principiante, un salutu

        1.    wow dijo

          sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

          U mette in u cummentariu sopra

  12.   chemabs dijo

    Ieri l'aghju installatu cum'è un pacchettu snap in Kde Neon 5.8 è sò statu stupitu di quantu simplici è veloci hà travagliatu per mè. Saria bè sè aghjurnate l'articulu perchè ùn ci hè paragone, u prucessu hè assai simplificatu.

    sudo apt install snapd → installate u sistema di gestione di pacchetti snap (se ùn avete micca installatu)
    snap find acestream → per verificà chì avemu u prugramma in i repositorii (tutti i derivati ​​ubuntu devenu avè)
    sudo snap installà stureamplayer

    riguarda

    1.    Antonio Manzano dijo

      Ai ragiò. L'aghju appena stallatu in kubuntu 17.10, postu chì u metudu chì apparisce quì hè tutalmente inviable. Grazie mille

      1.    Babbu dijo

        micca validu per l'architettura i386

    2.    sie9k dijo

      Hè statu l'unicu modu per installallu in Lubuntu 16.04.4, ma ùn ci hè manera per me di salvà u fugliale di cunfigurazione è aghju bisognu di cunfigurà un parametru per travaglià accantu à Serviio. Qualchì idea per riparalla?

  13.   Jose Antonio dijo

    Post assai bellu. Una pagina web da leghje per i principianti Linux.

  14.   Peter u rookie dijo

    Cumu l'installereste per AntiX 16 (hè una distribuzione Linux)?

    Aghju pruvatu cum'è Arch Linux è derivati, ma sò un novu chì devu sbaglià

  15.   Alejandro dijo

    Salutu, cù i pacchetti sna, chì u cullega sopra cummenta in un cummentariu hè diventatu più faciule micca solu per ste distribuzioni ma per parechji. E distribuzioni cumpatibili cù sti pacchetti sò quì:
    https://snapcraft.io/

    In Debian seria cusì:
    -sudo apt install snapd
    -sudo snap install core
    -sudo snap installate acestreamplayer
    In Arch è derivati:
    -sudo pacman -S snapd
    -sudo systemctl attivate –now snapd.socket
    -sudo snap installate acestreamplayer

    In Arch (plasma) aghju avutu à ricumincià per chì i pacchetti installati apparsu, s'ellu ùn apparisce micca, sapete chì fà.

    Nantu à ubuntu è i derivati ​​credu chì serà cum'è u cumpagnu chì l'hà installatu sopra in i cumenti cù u neon KDE.

    Hè curiosu chì in Gnome cù Debian sembra abbastanza bruttu è ùn si integra micca bè cù GTK ma in Arch plasma si integra abbastanza bè, l'importante hè chì si vede fora di l'estetica.

    1.    William dijo

      questu installate stu motor-engine?
      Micca eiu

      1.    Alejandro dijo

        Ciao, innò, ùn l'installa micca, nè ne hà bisognu, cù i pacchetti snap tutte e dipendenze coperte ghjunghjenu dighjà, deve travaglià sì o sì.

    2.    txuber dijo

      Salute Alejandro, vedi se mi pudete aiutà
      [txuber @ manjaro ~] $ sudo systemctl attivate –now snapd.socket
      Impussibule di attivà a unità: Unità file \ xe2 \ x80 \ x93now.service ùn esiste micca.
      nantu à manjaru Manjaru XFCE Edition (17.0.4) x64

      1.    Alejandro dijo

        Salutu, Manjaru hè chì ùn hè micca Arch puru è e cose ponu cambià un pocu, pò esse dighjà attivatu è ùn hè micca necessariu di fà, suppone chì avete digià pruvatu à saltà stu passu ...

  16.   Debian dijo

    Una volta installatu chì fà? Perchè l'ace-player ùn hè micca installatu, ùn sò micca cumu fà u so travagliu.
    Qualchissia mi aiuta per piacè?

    1.    wow dijo

      Se ciò chì avete installatu hè questuream-launcher, quandu cliccate nantu à un ligame acestream vi dumanderà cù chì applicazione vulete aprire u ligame, dite chì cù VLC, è questu hè quellu chì farà e funzioni di u ace-player

      1.    Debian dijo

        Salute. Prima di tuttu, ti ringraziu assai per u vostru aiutu. I cummentà. Aghju installatu u pacchettu snap acestream in Debian 9 cù gnome. Quandu in arenavisión, chì hè ciò chì vogliu, cliccaghju nantu à un ligame acestream è appare una finestra chì mi dà duie opzioni, u primu hè questureamengine chì, se cliccu nantu à questu, ùn face nunda è u secondu hè di sceglie un'altra applicazione, dò ellu à sceglie ma l'applicazioni installate ùn aprenu micca, u mo cartulare di casa si apre, allora ùn sò micca cumu selezziunà u vlc.

        A salutazione.

        1.    Alejandro dijo

          Cù u acestream-launcher ùn viaghja micca abbastanza bè, hè megliu installà cù u pacchettu Snap cum'è spiegu in u mo cummentariu sopra.

  17.   Peter u rookie dijo

    Provu à installà u pacchettu snapd, ma ùn mi lascia micca:

    sudo apt install snapd
    Lettura di a lista di pacchetti ... Fattu
    Crià l'arburu di dependenza
    Leghjendu l'infurmazioni di statutu ... Fattu
    E: U pacchettu snapd ùn pò micca esse situatu

    chì facciu?

  18.   Alf dijo

    Grazie mille, hè unu di i prugrammi chì aghju usatu in Windows è vulia avè lu in Linux

  19.   Oscar dijo

    Grazie Chemabs è Alejandro! Perfetta cù Ubuntu 17.10
    sudo apt install snapd
    snap find acestream
    sudo snap installà stureamplayer
    È basta!
    L'incredibile hè chì andate nantu à u situ ufficiale è vi mandanu un postu nantu à u so foru da u 2014! È in chì menzionanu solu Ubuntu 13.04!

  20.   Marco Barria dijo

    bè, cumu si dice in i cumenti precedenti funziona perfettamente cù snapd in arch:

    sudo pacman -S snapd
    sudo systemctl permette snapd.socket
    reboot
    sudo snap installà stureamplayer
    reboot

    è prontu:

  21.   mchavez dijo

    ciao, è ci hè un modu per installà l'assi stream senza avè da esse un prugrammatore ... cum'è si face cù windows